GET Premier Player
https://pd.{shard}.a.pvp.net/premier/v2/players/{puuid} Get Premier player data including roster membership and invite status.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PremierPlayerResponse = {
/** Player UUID */
puuid: string;
/** The Premier roster (team) ID the player belongs to */
rosterId: string;
/** Pending Premier roster invites */
invites: unknown[];
version: number;
/** Unix timestamp (seconds) */
createdAt: number;
/** Unix timestamp (seconds) */
updatedAt: number;
}; {
"puuid": "E52b8DfE-085c-BC46-11D8-bFB457e861D6",
"rosterId": "12b1b7db-dA1C-2e6E-9d83-BdCAb40E6bEC",
"invites": [
null,
null,
null,
null
],
"version": 5325546579593615,
"createdAt": 7937966707689269,
"updatedAt": 870837476011065
}